%define name strangebrew
%define version 2.0.1
%define release %mkrel 1


Summary:        Homebrewing Software
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Productivity/Other
License:        GPL
URL:            http://www.strangebrew.ca/java/
Source0:        http://sourceforge.net/projects/strangebrew/files/strangebrew/2.0.1/sb_2.0.1.zip
Source1:       %{name}.png
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires: jre

%description
StrangeBrew Java is a Java port of the popular Windows homebrewing
software, StrangeBrew (www.strangebrew.ca).


%prep
%setup -q -n StrangeBrew


%build

%install
rm -rf %{buildroot}
#launcher
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{name}
java -jar strangebrew.jar
EOF

chmod +x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -R * %{buildroot}%{_libdir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Categories=Utility;X-MandrivaLinux-MoreApplications-Other;
Name=StrangeBrew
Comment=Homebrewing Software
Icon=%{name}
Exec=%{name}
EOF


#menu icon
install -D -m 644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
chmod 777 /usr/lib/strangebrew
chmod 777 /usr/lib/strangebrew/recipes
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root,-)
%doc readme *.txt
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Thu Mar 04 2010 slick50 <lxgator@gmail.com> 2.0.1-1pclos2010
- initial pkg
